#declare KnobTopCutCyl1 = object {
  cylinder { // KnobTopCutCyl1
    <0,0,1>, <0,0,0>, 1 
    scale <0.02, 0.02, 1.1>
    rotate -11.30953*y
    translate  1.0*x
  }
}
#declare KnobBotCutCyl1 = object {
  cylinder { // KnobBotCutCyl1
    <0,0,1>, <0,0,0>, 1 
    scale <0.04, 0.04, 0.7>
    rotate -75.9674*y
    translate  <3.0, 0.0, -0.5>
  }
}
#declare KnobBotCutCy37 = object {
  cylinder { // KnobBotCutCy37
    <0,0,1>, <0,0,0>, 1 
    scale <0.021919, 0.021919, 0.38358>
    rotate -75.9674*y
    translate  <3.0, 0.0, -0.5>
  }
}


#declare SafeCSG1 = difference {
  superellipsoid { // SafeMain
    <0.02, 0.02>
    scale <1.0, 1.0, 1.25>
  }
  box { // SafeCut1
    <-1, -1, -1>, <1, 1, 1>
    scale <0.005, 0.1, 1.1>
    translate  <0.85, -1.05, 0.0>
  }
  box { // SafeCut2
    <-1, -1, -1>, <1, 1, 1>
    scale <0.005, 0.1, 1.1>
    translate  <-0.85, -1.05, 0.0>
  }
  box { // SafeCut3
    <-1, -1, -1>, <1, 1, 1>
    scale <0.005, 0.1, 0.85>
    rotate <0.0, -90.0, 0.0>
    translate  <0.0, -1.05, 1.1>
  }
  box { // SafeCut4
    <-1, -1, -1>, <1, 1, 1>
    scale <0.005, 0.1, 0.85>
    rotate <0.0, -90.0, 0.0>
    translate  <0.0, -1.05, -1.1>
  }
}
#declare Hinge1 = union {
  cylinder { // SafeHingeCyl1
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 0.2>
  }
  cylinder { // SafeHingeCyl2
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 0.2>
    translate  0.225*z
  }
  superellipsoid { // HingeSuper1
    <0.1, 0.1>
    scale <0.15, 0.1, 0.2>
    translate  <-0.15, 0.1, 0.2125>
  }
  translate  <0.85, -1.05, 0.6>
}
#declare Hinge2 = union {
  cylinder { // SafeHingeCyl3
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 0.2>
  }
  cylinder { // SafeHingeCyl4
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 0.2>
    translate  0.225*z
  }
  superellipsoid { // HingeSuper2
    <0.1, 0.1>
    scale <0.15, 0.1, 0.2>
    translate  <-0.15, 0.1, 0.2125>
  }
  translate  <0.85, -1.05, -1.025>
}
#declare KnobTop = difference {
  cone { // KnobTopCone
    <0,0,0>, 1.0, <0,0,1>, 0.8
  }
  superellipsoid { // KnobTopSuper
    <1.0, 0.1>
    scale 0.7
    translate  1.575*z
  }
  object { KnobTopCutCyl1 }
  object { // KnobTopCutCyl2->KnobTopCutCyl1
    KnobTopCutCyl1
    rotate -8.0*z
  }
  object { // KnobTopCutCyl3->KnobTopCutCyl1
    KnobTopCutCyl1
    rotate -16.0*z
  }
  object { // KnobTopCutCyl4->KnobTopCutCyl1
    KnobTopCutCyl1
    rotate -24.0*z
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobTopCutCyl5->KnobTopCutCyl1
    KnobTopCutCyl1
    rotate -32.0*z
    translate  0.0*x
  }
  object { // KnobTopCutCyl6->KnobTopCutCyl1
    KnobTopCutCyl1
    rotate -40.0*z
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobTopCutCyl7->KnobTopCutCyl1
    KnobTopCutCyl1
    rotate -48.0*z
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobTopCutCyl8->KnobTopCutCyl1
    KnobTopCutCyl1
    rotate -56.0*z
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobTopCutCyl9->KnobTopCutCyl1
    KnobTopCutCyl1
    rotate -64.0*z
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobTopCutCy10->KnobTopCutCyl1
    KnobTopCutCyl1
    rotate -72.0*z
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobTopCutCy11->KnobTopCutCyl1
    KnobTopCutCyl1
    rotate -80.0*z
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobTopCutCy12->KnobTopCutCyl1
    KnobTopCutCyl1
    rotate -88.0*z
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobTopCutCy13->KnobTopCutCyl1
    KnobTopCutCyl1
    rotate -96.0*z
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobTopCutCy14->KnobTopCutCyl1
    KnobTopCutCyl1
    rotate -104.0*z
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobTopCutCy15->KnobTopCutCyl1
    KnobTopCutCyl1
    rotate -112.0*z
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobTopCutCy16->KnobTopCutCyl1
    KnobTopCutCyl1
    rotate -120.0*z
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobTopCutCy17->KnobTopCutCyl1
    KnobTopCutCyl1
    rotate -128.0*z
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobTopCutCy18->KnobTopCutCyl1
    KnobTopCutCyl1
    rotate -136.0*z
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobTopCutCy19->KnobTopCutCyl1
    KnobTopCutCyl1
    rotate -144.0*z
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobTopCutCy20->KnobTopCutCyl1
    KnobTopCutCyl1
    rotate -152.0*z
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobTopCutCy21->KnobTopCutCyl1
    KnobTopCutCyl1
    rotate -160.0*z
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobTopCutCy22->KnobTopCutCyl1
    KnobTopCutCyl1
    rotate -168.0*z
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobTopCutCy23->KnobTopCutCyl1
    KnobTopCutCyl1
    rotate -176.0*z
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobTopCutCy24->KnobTopCutCyl1
    KnobTopCutCyl1
    rotate 176.0*z
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobTopCutCy25->KnobTopCutCyl1
    KnobTopCutCyl1
    rotate 168.0*z
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobTopCutCy26->KnobTopCutCyl1
    KnobTopCutCyl1
    rotate 160.0*z
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobTopCutCy27->KnobTopCutCyl1
    KnobTopCutCyl1
    rotate 152.0*z
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobTopCutCy28->KnobTopCutCyl1
    KnobTopCutCyl1
    rotate 144.0*z
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobTopCutCy29->KnobTopCutCyl1
    KnobTopCutCyl1
    rotate 136.0*z
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobTopCutCy30->KnobTopCutCyl1
    KnobTopCutCyl1
    rotate 128.0*z
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobTopCutCy31->KnobTopCutCyl1
    KnobTopCutCyl1
    rotate 120.0*z
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobTopCutCy32->KnobTopCutCyl1
    KnobTopCutCyl1
    rotate 112.0*z
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobTopCutCy33->KnobTopCutCyl1
    KnobTopCutCyl1
    rotate 104.0*z
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobTopCutCy34->KnobTopCutCyl1
    KnobTopCutCyl1
    rotate 96.0*z
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobTopCutCy35->KnobTopCutCyl1
    KnobTopCutCyl1
    rotate 88.0*z
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobTopCutCy36->KnobTopCutCyl1
    KnobTopCutCyl1
    rotate 80.0*z
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobTopCutCy37->KnobTopCutCyl1
    KnobTopCutCyl1
    rotate 72.0*z
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobTopCutCy38->KnobTopCutCyl1
    KnobTopCutCyl1
    rotate 64.0*z
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobTopCutCy39->KnobTopCutCyl1
    KnobTopCutCyl1
    rotate 56.0*z
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobTopCutCy40->KnobTopCutCyl1
    KnobTopCutCyl1
    rotate 48.0*z
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobTopCutCy41->KnobTopCutCyl1
    KnobTopCutCyl1
    rotate 40.0*z
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobTopCutCy42->KnobTopCutCyl1
    KnobTopCutCyl1
    rotate 32.0*z
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobTopCutCy43->KnobTopCutCyl1
    KnobTopCutCyl1
    rotate 24.0*z
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobTopCutCy44->KnobTopCutCyl1
    KnobTopCutCyl1
    rotate 16.0*z
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobTopCutCy45->KnobTopCutCyl1
    KnobTopCutCyl1
    rotate 8.0*z
    translate  <0.0, 0.0, 0.0>
  }
}
#declare KnobBot = difference {
  cone { // KnobBotCone
    <0,0,0>, 3.0, <0,0,1>, 1.0
    texture {
      txtKnob
    }
    scale <1.0, 1.0, 0.5>
    translate  -0.5*z
  }
  object { KnobBotCutCyl1 }
  object { // KnobBotCutCyl2->KnobBotCutCyl1
    KnobBotCutCyl1
    rotate <0.0, 0.0, -10.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCyl3->KnobBotCutCyl1
    KnobBotCutCyl1
    rotate <0.0, 0.0, -20.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCyl4->KnobBotCutCyl1
    KnobBotCutCyl1
    rotate <0.0, 0.0, -30.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCyl5->KnobBotCutCyl1
    KnobBotCutCyl1
    rotate <0.0, 0.0, -40.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCyl6->KnobBotCutCyl1
    KnobBotCutCyl1
    rotate <0.0, 0.0, -50.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCyl7->KnobBotCutCyl1
    KnobBotCutCyl1
    rotate <0.0, 0.0, -60.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCyl8->KnobBotCutCyl1
    KnobBotCutCyl1
    rotate <0.0, 0.0, -70.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCyl9->KnobBotCutCyl1
    KnobBotCutCyl1
    rotate <0.0, 0.0, -80.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy10->KnobBotCutCyl1
    KnobBotCutCyl1
    rotate <0.0, 0.0, -90.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy11->KnobBotCutCyl1
    KnobBotCutCyl1
    rotate <0.0, 0.0, -100.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy12->KnobBotCutCyl1
    KnobBotCutCyl1
    rotate <0.0, 0.0, -110.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy13->KnobBotCutCyl1
    KnobBotCutCyl1
    rotate <0.0, 0.0, -120.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy14->KnobBotCutCyl1
    KnobBotCutCyl1
    rotate <0.0, 0.0, -130.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy15->KnobBotCutCyl1
    KnobBotCutCyl1
    rotate <0.0, 0.0, -140.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy16->KnobBotCutCyl1
    KnobBotCutCyl1
    rotate <0.0, 0.0, -150.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy17->KnobBotCutCyl1
    KnobBotCutCyl1
    rotate <0.0, 0.0, -160.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy18->KnobBotCutCyl1
    KnobBotCutCyl1
    rotate <0.0, 0.0, -170.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy19->KnobBotCutCyl1
    KnobBotCutCyl1
    rotate <0.0, 0.0, 180.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy20->KnobBotCutCyl1
    KnobBotCutCyl1
    rotate <0.0, 0.0, 170.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy21->KnobBotCutCyl1
    KnobBotCutCyl1
    rotate <0.0, 0.0, 160.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy22->KnobBotCutCyl1
    KnobBotCutCyl1
    rotate <0.0, 0.0, 150.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy23->KnobBotCutCyl1
    KnobBotCutCyl1
    rotate <0.0, 0.0, 140.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy24->KnobBotCutCyl1
    KnobBotCutCyl1
    rotate <0.0, 0.0, 130.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy25->KnobBotCutCyl1
    KnobBotCutCyl1
    rotate <0.0, 0.0, 120.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy26->KnobBotCutCyl1
    KnobBotCutCyl1
    rotate <0.0, 0.0, 110.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy27->KnobBotCutCyl1
    KnobBotCutCyl1
    rotate <0.0, 0.0, 100.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy28->KnobBotCutCyl1
    KnobBotCutCyl1
    rotate <0.0, 0.0, 90.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy29->KnobBotCutCyl1
    KnobBotCutCyl1
    rotate <0.0, 0.0, 80.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy30->KnobBotCutCyl1
    KnobBotCutCyl1
    rotate <0.0, 0.0, 70.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy31->KnobBotCutCyl1
    KnobBotCutCyl1
    rotate <0.0, 0.0, 60.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy32->KnobBotCutCyl1
    KnobBotCutCyl1
    rotate <0.0, 0.0, 50.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy33->KnobBotCutCyl1
    KnobBotCutCyl1
    rotate <0.0, 0.0, 40.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy34->KnobBotCutCyl1
    KnobBotCutCyl1
    rotate <0.0, 0.0, 30.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy35->KnobBotCutCyl1
    KnobBotCutCyl1
    rotate <0.0, 0.0, 20.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy36->KnobBotCutCyl1
    KnobBotCutCyl1
    rotate <0.0, 0.0, 10.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { KnobBotCutCy37 }
  object { // KnobBotCutCy38->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -2.0>
    translate  0.0*x
  }
  object { // KnobBotCutCy39->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -4.0>
    translate  0.0*y
  }
  object { // KnobBotCutCy40->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -6.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy41->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -8.0>
    translate  0.0*y
  }
  object { // KnobBotCutCy42->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -10.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy43->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -12.0>
    translate  0.0*x
  }
  object { // KnobBotCutCy44->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -14.0>
    translate  0.0*x
  }
  object { // KnobBotCutCy45->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -16.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy46->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -18.0>
  }
  object { // KnobBotCutCy47->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -20.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy48->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -22.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy49->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -24.0>
    translate  0.0*x
  }
  object { // KnobBotCutCy50->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -26.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy51->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -28.0>
    translate  0.0*x
  }
  object { // KnobBotCutCy52->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -30.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy53->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -32.0>
    translate  0.0*x
  }
  object { // KnobBotCutCy54->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -34.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy55->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -36.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy56->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -38.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy57->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -40.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy58->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -42.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy59->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -44.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy60->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -46.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy61->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -48.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy62->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -50.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy63->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -52.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy64->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -54.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy65->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -56.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy66->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -58.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy67->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -60.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy68->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -62.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy69->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -64.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy70->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -66.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy71->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -68.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy72->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -70.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy73->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -72.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy74->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -74.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy75->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -76.0>
    translate  0.0*y
  }
  object { // KnobBotCutCy76->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -78.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy77->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -80.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy78->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -82.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy79->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -84.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy80->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -86.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy81->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -88.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy82->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -90.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy83->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -92.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy84->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -94.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy85->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -96.0>
    translate  0.0*x
  }
  object { // KnobBotCutCy86->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -98.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy87->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -100.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy88->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -102.0>
    translate  0.0*x
  }
  object { // KnobBotCutCy89->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -104.0>
    translate  0.0*x
  }
  object { // KnobBotCutCy90->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -106.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy91->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -108.0>
    translate  0.0*x
  }
  object { // KnobBotCutCy92->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -110.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy93->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -112.0>
    translate  0.0*x
  }
  object { // KnobBotCutCy94->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -114.0>
    translate  0.0*x
  }
  object { // KnobBotCutCy95->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -116.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy96->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -118.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy97->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -120.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy98->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -122.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutCy99->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -124.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC100->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -126.0>
    translate  0.0*y
  }
  object { // KnobBotCutC101->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -128.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC102->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -130.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC103->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -132.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC104->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -134.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC105->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -136.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC106->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -138.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC107->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -140.0>
    translate  0.0*y
  }
  object { // KnobBotCutC108->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -142.0>
    translate  0.0*y
  }
  object { // KnobBotCutC109->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -144.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC110->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -146.0>
    translate  0.0*y
  }
  object { // KnobBotCutC111->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -148.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC112->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -150.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC113->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -152.0>
    translate  0.0*y
  }
  object { // KnobBotCutC114->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -154.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC115->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -156.0>
    translate  0.0*y
  }
  object { // KnobBotCutC116->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -158.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC117->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -160.0>
    translate  0.0*y
  }
  object { // KnobBotCutC118->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -162.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC119->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -164.0>
  }
  object { // KnobBotCutC120->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -166.0>
    translate  0.0*y
  }
  object { // KnobBotCutC121->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -168.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC122->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -170.0>
    translate  0.0*y
  }
  object { // KnobBotCutC123->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -172.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC124->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -174.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC125->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -176.0>
    translate  0.0*y
  }
  object { // KnobBotCutC126->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, -178.0>
    translate  0.0*y
  }
  object { // KnobBotCutC127->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 180.0>
    translate  0.0*y
  }
  object { // KnobBotCutC128->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 178.0>
    translate  0.0*y
  }
  object { // KnobBotCutC129->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 176.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC130->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 174.0>
    translate  0.0*y
  }
  object { // KnobBotCutC131->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 172.0>
    translate  0.0*y
  }
  object { // KnobBotCutC132->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 170.0>
    translate  0.0*y
  }
  object { // KnobBotCutC133->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 168.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC134->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 166.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC135->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 164.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC136->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 162.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC137->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 160.0>
    translate  0.0*y
  }
  object { // KnobBotCutC138->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 158.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC139->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 156.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC140->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 154.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC141->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 152.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC142->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 150.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC143->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 148.0>
    translate  0.0*y
  }
  object { // KnobBotCutC144->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 146.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC145->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 144.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC146->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 142.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC147->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 140.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC148->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 138.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC149->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 136.0>
    translate  0.0*x
  }
  object { // KnobBotCutC150->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 134.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC151->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 132.0>
    translate  0.0*y
  }
  object { // KnobBotCutC152->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 130.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC153->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 128.0>
    translate  0.0*x
  }
  object { // KnobBotCutC154->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 126.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC155->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 124.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC156->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 122.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC157->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 120.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC158->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 118.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC159->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 116.0>
    translate  0.0*x
  }
  object { // KnobBotCutC160->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 114.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC161->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 112.0>
    translate  0.0*x
  }
  object { // KnobBotCutC162->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 110.0>
    translate  0.0*x
  }
  object { // KnobBotCutC163->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 108.0>
    translate  0.0*x
  }
  object { // KnobBotCutC164->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 106.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC165->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 104.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC166->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 102.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC167->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 100.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC168->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 98.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC169->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 96.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC170->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 94.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC171->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 92.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC172->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 90.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC173->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 88.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC174->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 86.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC175->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 84.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC176->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 82.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC177->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 80.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC178->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 78.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC179->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 76.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC180->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 74.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC181->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 72.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC182->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 70.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC183->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 68.0>
    translate  0.0*y
  }
  object { // KnobBotCutC184->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 66.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC185->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 64.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC186->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 62.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC187->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 60.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC188->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 58.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC189->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 56.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC190->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 54.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC191->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 52.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC192->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 50.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC193->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 48.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC194->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 46.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC195->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 44.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC196->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 42.0>
    translate  0.0*y
  }
  object { // KnobBotCutC197->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 40.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC198->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 38.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC199->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 36.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC200->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 34.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC201->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 32.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC202->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 30.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC203->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 28.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC204->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 26.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC205->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 24.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC206->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 22.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC207->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 20.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC208->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 18.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC209->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 16.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC210->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 14.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC211->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 12.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC212->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 10.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC213->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 8.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC214->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 6.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC215->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 4.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // KnobBotCutC216->KnobBotCutCy37
    KnobBotCutCy37
    rotate <0.0, 0.0, 2.0>
    translate  <0.0, 0.0, 0.0>
  }
  texture {
    txtKnobCut
  }
}
#declare Knob = union {
  object { KnobTop }
  object { KnobBot }
  torus { // KnobBotTorus
    3.0, 0.1  rotate -x*90
    translate  -0.6*z
  }
  texture {
    txtKnob
  }
  scale 0.05
  rotate <-90.0, 0.0, 180.0>
  translate  <-0.335746, -1.036932, 0.433869>
}
#declare HandleTorusCSG = difference {
  torus { // HandleTorus
    0.1, 0.05  rotate -x*90
  }
  box { // HandleTorusCut1
    <-1, -1, -1>, <1, 1, 1>
    scale 0.2
    translate  0.2*y
  }
  box { // HandleTorusCu2
    <-1, -1, -1>, <1, 1, 1>
    scale 0.2
    translate  0.2*x
  }
  translate  <-0.55, -1.288, 0.0>
}
#declare Handle = union {
  cylinder { // HandleCyl1
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 0.287984>
    rotate <-90.0, 0.0, -180.0>
    translate  <-0.65, -1.0, 0.0>
  }
  cylinder { // HandleCyl2
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 0.503356>
    rotate <-90.0, 0.0, -90.0>
    translate  <-0.55, -1.388, 0.0>
  }
  object { HandleTorusCSG }
  sphere { // HandleSphere
    <0,0,0>,1
    scale 0.05
    translate  <-0.046645, -1.388, 0.0>
  }
  texture {
    txtKnob
  }
  scale 0.593273
  translate  <-0.357126, -0.297605, 0.0>
}


